@echo off
echo 哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪
echo 哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌
echo   DebugBoot - Batchfile zum Debuggen von Bootviren mittels DEBUG.EXE
echo               (C)opyr. 1993-2018 by ROSE SWE, Dipl.-Ing Ralph Roth
echo.
echo 哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌
echo 哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪哪
echo $Header: /home/cvs/tp/exe/DiskRead/debboot.bat,v 1.22 2018/02/17 20:04:35 ralph Exp $
echo.

rem Revision 2.25  2017/01/02 09:13:55  ralph
rem Revision 2.14  2008/02/06 20:40:47  Ralph
rem Revision 2.13  2005/12/20 08:09:59  ralproth
rem Revision 2.11  2004/01/19 16:17:34  ralproth
rem Revision 2.7  2003/10/26 18:25:24  ralproth
rem Revision 2.2  2002/02/21 17:56:37  ralph

for %%a in (0 1 2 3 4) do if [%1] == [%%a] goto drvok

echo Syntax:  %0  Laufwerk
echo z. B:    %0  1
echo.
echo Sie muessen angeben, welches Laufwerk untersucht werden soll!
echo Geben Sie eine Zahl mit an, um folgende Laufwerke zu untersuchen:
echo.
echo Laufwerk:        Zahl:
echo 哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌
echo    A:              0
echo    B:              1
echo    C:              2
echo    D:              3
echo    E:              4
echo 哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌
echo.
echo Nicht geeignet fuer DR-DOS, das einen anderen Debugger benutzt (SID.EXE)
goto ende

:drvok
echo l 7c00 %1 0 1 >  debug.tmp
echo u 7c00, 7dff  >> debug.tmp
echo n debug.bin   >> debug.tmp
echo r cx          >> debug.tmp
echo 200           >> debug.tmp
echo w 7c00        >> debug.tmp
echo q             >> debug.tmp

echo Debuggerscript erzeugt, bitte infizierte Diskette einlegen!
echo.
goto nowdos
echo ACHTUNG: Falls Sie Novell DOS 7.0 mit dem Deutschen Patch-Level 9 installiert
echo          haben, dann dr乧ken Sie jetzt Strg-C, ansonsten h刵gt sich Ihr PC
echo          auf!

:nowdos
pause
debug < debug.tmp > debug.dis
del debug.tmp > nul:

if not /%2/==// goto renit

echo Bitte folgende Dateien (enthaelt jetzt den Virus!) auf einen Datentraeger kopieren:
dir DEBUG.*
goto ende

:renit
ren debug.bin %2
del debug.dis > nul

:ende
